# Class CvsLogfileParser

java.lang.Object
net.sf.statcvs.input.CvsLogfileParser

public class CvsLogfileParser extends Object
Parses a CVS logfile. A `Builder` must be specified which does the construction work.

Version:
  $Id: CvsLogfileParser.java,v 1.17 2008/04/02 11:22:15 benoitx Exp $
Author:
  Anja Jentzsch, Richard Cyganiak

## Constructor Summary

Constructors
Constructor
Description
`CvsLogfileParser(Reader logReader, CvsLogBuilder builder)`
Default Constructor

## Method Summary

Modifier and Type
Method
Description
`void`
`parse()`
Parses the logfile.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CvsLogfileParser

public CvsLogfileParser(Reader logReader, CvsLogBuilder builder)
Default Constructor

Parameters:
  `logReader` - a `Reader` containing the CVS logfile
  `builder` - the builder that will process the log information

## Method Details

### parse

public void parse() throws LogSyntaxException, IOException
Parses the logfile. After `parse()` has finished, the result of the parsing process can be obtained from the builder.

Throws:
  `LogSyntaxException` - if syntax errors in log
  `IOException` - if errors while reading from the log Reader